package com.education.business.message.param;

import com.education.common.enums.SocketMessageTypeEnum;

/**
 * @author zjt
 * @version 2.14.0
 * @Description
 * @createTime 2025/2/25 10:24
 */
public class LoginDeviceMessage extends WebSocketMessage {

    /**
     * 登录ip
     */
    private String ip;


    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }


    @Override
    public SocketMessageTypeEnum getSocketMessageTypeEnum() {
        return SocketMessageTypeEnum.REJECT_SESSION;
    }
}
